#ifdef VHDL
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/@COMPONENT.h"
#include "Behavioural/include/Vhdl.h"

namespace morpheo                    {
namespace behavioural {
@NAMESPACE_BEGIN

#undef  FUNCTION
#define FUNCTION "@COMPONENT::vhdl"
  void @COMPONENT::vhdl (void)
  {
    log_begin(@COMPONENT,FUNCTION);

    Vhdl * vhdl = new Vhdl (_name);

    _interfaces->set_port(vhdl);
    _component->vhdl_instance(vhdl);

    vhdl->generate_file();

    delete vhdl;

    log_end(@COMPONENT,FUNCTION);
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
#endif
